Subject: Re: [PATCH net-next RFC 0/5] Update r8152 to version two

From: Jakub Kicinski <[email-masked]>
Date: Wed, 16 Nov 2022 08:34:42 -0800

On Thu, 17 Nov 2022 02:13:49 +1100 Albert Zhou wrote:
> After a lot of testing, I have come to the conclusion that the reason
> for the speed difference between the v1 and v2 driver is actually the
> firmware.
> 
> The v2 driver doesn't even #include <linux/firmware.h>; so it doesn't
> load the standard firmware in /lib/firmware/rtl_nic. It seems the
> firmware is actually written in the source and loaded directly.
> 
> Since firmware is not even part of the kernel, it's probably
> inappropriate to submit a patch that modifies the firmware of a device,
> would that be correct?
> 
> If that's the case, it's probably best if Realtek can update the
> firmware on the linux firmware git.
> 
> Not sure otherwise how to proceed. Any suggestions?

Getting Realtek to update the FW would definitely be the best avenue.

If that fails you can try to update it yourself, but it's always a bit
tricky because of licensing. You may need to invent your own file
format :S